package org.project.entity.enemies;

import org.project.entity.Entity;

public class Dragon extends Enemy {

    public Dragon() {
        super("Dragon", 250, 30);
    }

    @Override
    public void attackAction(Entity target) {
        if (!isStunned()) {
            System.out.println("\u001B[31m🐉 Dragon breathes massive FIRE! (Bypasses shields)\u001B[0m");
            target.takeDamage(baseDamage);
        } else {
            System.out.println("🐉 Dragon is stunned, but recovers quickly!");
            setStunned(false);
        }
    }
}